<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!-- Custom styles -->
    <style media="screen">
    html,
    body {
      height: 100%;
    }
    body {
      display: flex;
      flex-direction: column;
    }
    body > header {
      position: absolute;
      width: 100%;
      height: 3.5rem;
    }
    body > main {
      flex: 1 0 auto;
      padding-top: 3.5rem;
    }
    body > footer {
      flex-shrink: 0;
    }
    .container-fluid {
      max-width: 80rem;
    }
    </style>
  {% if title %}
    <title>{{ title }}{% if section_title %} | {{ section_title }}{% endif %} | Votos e Mandatos</title>
  {% else %}
    <title>Votos e Mandatos</title>
  {% endif %}
  </head>
  <body class="bg-light">
    <header>
      <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
          <div class="navbar-brand">Votos e Mandatos</div>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ml-auto">
              {%- set navigation_bar = [
                  ('/', 'index', 'Início'),
                  ('/europeias', 'europeias_list', 'Europeias'),
                  ('/legislativas', 'legislativas_list', 'Legislativas'),
                  ('/sobre', 'about', 'Sobre')
              ] -%}
              {%- set active_page = active_page|default('index') -%}
              {%- for href, id, caption in navigation_bar %}
              <li{% if id == active_page %} class="nav-item active"{% else %} class="nav-item"{% endif %}>
                <a class="nav-link" href="{{ href|e }}">{{ caption|e }}</a>
              </li>
              {%- endfor %}
            </ul>
          </div>
        </div>
      </nav>
    </header>

    <main class="my-3">
      <div class="container-fluid">
        {% block breadcrumb %}{% endblock %}
        {% if title -%}
          <h1 class="d-inline-block">{{ title }}</h1>
        {%- else -%}
          <h1 class="display-4 text-center">Votos e Mandatos</h1>
          <p class="lead text-center text-muted">para perceber o funcionamento do sistema eleitoral em Portugal</p>
        {%- endif %}
        {%- if section_title -%}
          <p class="lead text-muted mb-0">{{ section_title }}</p>
        {%- endif %}
        <hr>
        {% block tabs -%}{%- endblock %}
        {%- block main %}
        <div class="row">
          <div class="col-lg-9">
            {%- block content -%}{%- endblock -%}
          </div>
          <div class="col-lg-3">
            {% block sidebar %}{% endblock %}
          </div>
        </div>
        {% endblock -%}
        {% block bottom -%}{%- endblock %}
      </div>
    </main>

    <footer class="text-dark bg-dark py-3 text-center">
      <div class="container-fluid my-3">
        {% block footer -%}
        <p class="text-light">Construído com <a href="https://www.python.org/" href="_blank">Python</a>, <a href="https://palletsprojects.com/p/flask/" target="_blank">Flask</a>, <a href="https://getbootstrap.com/" target="_blank">Bootstrap</a> e poucas horas de sono.</p>
        <p class="text-light">Isto é um protótipo sujeito a alterações e publicado sem garantias de qualquer espécie.</p>
        <p class="text-light">Contacto: <a href="mailto:votosemandatos@alus.pt">votosemandatos@alus.pt</a></p>
        {%- endblock %}
      </div>
    </footer>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>
